selabel_x(5)

NAME
selabel_x - userspace SELinux labeling interface: X Window System contexts backend.

SYNOPSIS
#include <selinux/selinux.h> #include <selinux/label.h>

int selabel_lookup(struct selabel_handle *hnd,
security_context_t *context, const char *object_name, int object_type);

DESCRIPTION
The X contexts backend maps from X Window System object names into security contexts. It is used to find the appropriate context for X Window System objects whose significance and/or usage semantics are determined primarily by name. This backend is also used to determine the default context for labeling remotely connected X clients. The object_type argument should be set to one of the following values:

SELABEL_X_PROP
    The object_name argument specifies the name of a window property, such as "WM_NAME".

SELABEL_X_EXT
    The object_name argument specifies the name of a protocol extension, such as "RENDER".

SELABEL_X_CLIENT
    The object_name argument is ignored and should be set to NULL. The default context for labeling remote X clients is returned.

OPTIONS
In addition to the global options described in selabel_open(3), this backend recognizes the following options:

SELABEL_OPT_PATH
    A non-null value for this option specifies a path to a file that will be opened in lieu of the standard X contexts file.

SEE ALSO
selabel_open(3), selabel_lookup(3), selabel_stats(3), selinux(8)